%global pkgvers 0
%global scdate0 20230101
%global schash0 d5ee153c5f2b40ebfc022d373460b33c6d9d73d0
%global branch0 master
%global source0 https://github.com/ARM-software/mango.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-mango
Version:        1.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Mango: A parallel black-box optimization library
License:        Apache
BuildArch:      noarch

URL:            https://github.com/ARM-software/mango

BuildRequires:  git python3-devel python3-setuptools

%description
Mango is a python library for parallel optimization over complex
search spaces. Currently, Mango is intended to find the optimal
hyperparameters for machine learning algorithms.


%package -n     python3-mango
Summary:        %{summary}
Provides:       python-mango

%description -n python3-mango
Mango is a python library for parallel optimization over complex
search spaces. Currently, Mango is intended to find the optimal
hyperparameters for machine learning algorithms.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i '/dataclasses/d' setup.py
sed -i '/attrdict/d' setup.py
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests


%files -n python3-mango
%license LICENSE
%doc README.md
%{python3_sitelib}/mango/
%{python3_sitelib}/*mango-*.egg-info/


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
